#2929 closed defect (fixed)

FAT long file names accross cluster boundaries may be broken

Reported by: Sebastian Huber Owned by: Sebastian Huber
Priority: normal Milestone: 4.11.2
Component: fs/fat Version: 4.11
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

The procedure to create a long file name directory entry may not work correctly in case a cluster boundary is crossed. Simplify msdos_add_file() to avoid a potential issue.

Change History (12)

comment:1 Changed on Mar 14, 2017 at 1:13:16 PM by Sebastian Huber

Owner: changed from chrisj@… to Sebastian Huber
Status: newassigned

comment:2 Changed on Mar 16, 2017 at 2:35:02 PM by Sebastian Huber <sebastian.huber@…>

In ccd4a7f/rtems:

dosfs: Simplify msdos_creat_node()

Update #2929.

comment:3 Changed on Mar 16, 2017 at 2:35:13 PM by Sebastian Huber <sebastian.huber@…>

In 063eb574/rtems:

dosfs: Simplify fat_file_open()

Update #2929.

comment:4 Changed on Mar 16, 2017 at 2:35:25 PM by Sebastian Huber <sebastian.huber@…>

In 3efe749/rtems:

dosfs: Add and use msdos_lfn_checksum()

Update #2929.

comment:5 Changed on Mar 16, 2017 at 2:35:37 PM by Sebastian Huber <sebastian.huber@…>

In 1a9483e2/rtems:

dosfs: Simplify msdos_add_file()

Update #2929.

comment:6 Changed on Mar 16, 2017 at 2:35:48 PM by Sebastian Huber <sebastian.huber@…>

In b1daf0f/rtems:

dosfs: Fix msdos_add_file()

Make sure that long file names work accross cluster boundaries.

Update #2929.

comment:7 Changed on Mar 21, 2017 at 3:17:04 PM by Sebastian Huber <sebastian.huber@…>

In 201f3797/rtems:

dosfs: Simplify msdos_creat_node()

Update #2929.

comment:8 Changed on Mar 21, 2017 at 3:17:15 PM by Sebastian Huber <sebastian.huber@…>

In ad3a744/rtems:

dosfs: Simplify fat_file_open()

Update #2929.

comment:9 Changed on Mar 21, 2017 at 3:17:27 PM by Sebastian Huber <sebastian.huber@…>

In 565b1a5/rtems:

dosfs: Add and use msdos_lfn_checksum()

Update #2929.

comment:10 Changed on Mar 21, 2017 at 3:17:39 PM by Sebastian Huber <sebastian.huber@…>

In 58e8131/rtems:

dosfs: Simplify msdos_add_file()

Update #2929.

comment:11 Changed on Mar 21, 2017 at 3:17:50 PM by Sebastian Huber <sebastian.huber@…>

Resolution: fixed
Status: assignedclosed

In 5ed41a6/rtems:

dosfs: Fix msdos_add_file()

Make sure that long file names work accross cluster boundaries.

Close #2929.

comment:12 Changed on Oct 10, 2017 at 6:50:58 AM by Sebastian Huber

Component: fsfs/fat
Note: See TracTickets for help on using tickets.